org.deidentifier.arx.gui.view.impl.common.datatable

## Class DataTableFillLayout

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    - - org.deidentifier.arx.gui.view.impl.common.datatable.DataTableFillLayout

All Implemented Interfaces:
  org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

    public class DataTableFillLayout
    extends org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    implements org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer

Adds an additional column to fill up the space.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

`DOT, VALUE_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`DataTableFillLayout(org.eclipse.swt.widgets.Control parent, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer, DataTableContext context, DataTableBodyLayerStack bodyLayerStack)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell` `getCellByPosition(int columnPosition, int rowPosition)`
`int` `getColumnCount()`
`int` `getColumnIndexByPosition(int columnPosition)`
`int` `getColumnPositionByIndex(int columnIndex)`
`int` `getColumnPositionByX(int x)`
`int` `getColumnWidthByPosition(int columnPosition)`
`org.eclipse.nebula.widgets.nattable.layer.LabelStack` `getConfigLabelsByPosition(int columnPosition, int rowPosition)`
`java.lang.Object` `getDataValueByPosition(int columnPosition, int rowPosition)` NOTE: Since this is a `IUniqueIndexLayer` sitting close to the `DataLayer`, columnPosition == columnIndex.
`int` `getPreferredColumnCount()`
`int` `getPreferredWidth()`
`int` `getRowPositionByIndex(int rowIndex)`
`int` `getStartXOfColumnPosition(int columnPosition)`
`int` `getWidth()`
`void` `handleLayerEvent(org.eclipse.nebula.widgets.nattable.layer.event.ILayerEvent event)`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

`configure, dispose, doCommand, getCellPainter, getDisplayModeByPosition, getHeight, getLayerPainter, getPreferredHeight, getPreferredRowCount, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

`addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.layer.ILayer

`addLayerListener, configure, dispose, doCommand, fireLayerEvent, getBoundsByPosition, getCellPainter, getClientAreaProvider, getDisplayModeByPosition, getHeight, getLayerPainter, getPreferredHeight, getPreferredRowCount, getRegionLabelsByXY, getRowCount, getRowHeightByPosition, getRowIndexByPosition, getRowPositionByY, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, hasLayerListener, isColumnPositionResizable, isRowPositionResizable, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, registerCommandHandler, registerPersistable, removeLayerListener, setClientAreaProvider, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions, unregisterCommandHandler, unregisterPersistable`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

`loadState, saveState`

### Constructor Detail

#### DataTableFillLayout

    public DataTableFillLayout(org.eclipse.swt.widgets.Control parent,
                               org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer,
                               DataTableContext context,
                               DataTableBodyLayerStack bodyLayerStack)

Parameters:
  `parent` -
  `underlyingDataLayer` -
  `context` -
  `bodyLayerStack` -

### Method Detail

#### getCellByPosition

    public org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell getCellByPosition(int columnPosition,
                                                                                       int rowPosition)

Specified by:
  `getCellByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getCellByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getColumnCount

    public int getColumnCount()

Specified by:
  `getColumnCount` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getColumnCount` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getColumnIndexByPosition

    public int getColumnIndexByPosition(int columnPosition)

Specified by:
  `getColumnIndexByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getColumnIndexByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getColumnPositionByIndex

    public int getColumnPositionByIndex(int columnIndex)

Specified by:
  `getColumnPositionByIndex` in interface `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer`

#### getColumnPositionByX

    public int getColumnPositionByX(int x)

Specified by:
  `getColumnPositionByX` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getColumnPositionByX` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getColumnWidthByPosition

    public int getColumnWidthByPosition(int columnPosition)

Specified by:
  `getColumnWidthByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getColumnWidthByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getConfigLabelsByPosition

    public org.eclipse.nebula.widgets.nattable.layer.LabelStack getConfigLabelsByPosition(int columnPosition,
                                                                                          int rowPosition)

Specified by:
  `getConfigLabelsByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getConfigLabelsByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getDataValueByPosition

    public java.lang.Object getDataValueByPosition(int columnPosition,
                                                   int rowPosition)

NOTE: Since this is a `IUniqueIndexLayer` sitting close to the `DataLayer`, columnPosition == columnIndex.

Specified by:
  `getDataValueByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getDataValueByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`
Parameters:
  `columnPosition` -
  `rowPosition` -
Returns:

#### getPreferredColumnCount

    public int getPreferredColumnCount()

Specified by:
  `getPreferredColumnCount` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getPreferredColumnCount` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getPreferredWidth

    public int getPreferredWidth()

Specified by:
  `getPreferredWidth` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getPreferredWidth` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getRowPositionByIndex

    public int getRowPositionByIndex(int rowIndex)

Specified by:
  `getRowPositionByIndex` in interface `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer`

#### getStartXOfColumnPosition

    public int getStartXOfColumnPosition(int columnPosition)

Specified by:
  `getStartXOfColumnPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getStartXOfColumnPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getWidth

    public int getWidth()

Specified by:
  `getWidth` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getWidth` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### handleLayerEvent

    public void handleLayerEvent(org.eclipse.nebula.widgets.nattable.layer.event.ILayerEvent event)

Specified by:
  `handleLayerEvent` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayerListener`
Overrides:
  `handleLayerEvent` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayer`